Bug 998354 - Update developer guide to reflect requirement to write new controllers for Flask
Update developer guide to reflect requirement to write new controllers for Flask
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: Doc (Show other bugs)
develop
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.15
: ---
Assigned To: Amit Saha
Nick Coghlan
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 01:55 EDT by Raymond Mancy
Modified: 2014-12-07 20:16 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-02 22:28:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raymond Mancy 2013-08-19 01:55:46 EDT
Description of problem:

We can now run both cherrypy and flask controllers. However we should advise
against writing new controllers in cherrypy.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Open  dev guide
2. Nothing mentioned about writing contorollers for flask
3.

Actual results:

It's not there

Expected results:

Should be.

Additional info:
Comment 2 Nick Coghlan 2013-08-25 22:58:07 EDT
This ties back in to needing a high level style guide in the developer guide :)
Comment 3 Raymond Mancy 2013-08-26 00:51:47 EDT
We don't even need to wait for that. We already talk about the TG stack and what does what in it. We could just add a small entry for flask, and then either
in the line for cherrypy or as an side, mention that creation of new cherrypy controllers has been deprecated for flask controllers.
Comment 4 Amit Saha 2013-09-16 03:20:21 EDT
The mailing list discussion has some points which will be helpful if made part of the style guide: https://lists.fedorahosted.org/pipermail/beaker-devel/2013-August/000676.html
Comment 5 Amit Saha 2013-09-18 01:03:16 EDT
I forgot to add the gerrit patch: http://gerrit.beaker-project.org/#/c/2258/
Comment 6 Nick Coghlan 2013-09-19 03:23:03 EDT
Guidelines published at http://beaker-project.org/dev/guide/code-guidelines.html
Comment 7 Nick Coghlan 2013-10-02 22:28:25 EDT
Beaker 0.15 has been released.

Note You need to log in before you can comment on or make changes to this bug.